# FileSender

Équivalent de WeTransfer, il s'agit d'une plateforme permettant l'envoi de fichiers volumineux (jusqu'à 100.0 Go) tant vers l'intérieur que vers l'extérieur de l'établissement. Ce service est accessible via le lien suivant : [**filesender.ensae.fr**](https://filesender.ensae.fr/).

**A noter** : Les fichiers sont automatiquement supprimés 14 jours après leur dépôt.

## 1. Publics concernés

- **Utilisateur GENES**
- **Utilisateur non GENES** 

### 1.1 Utilisateur GENES

**Connexion** :
L'utilisateur peut se connecter avec son identifiant GENES et son mot de passe (utilisé pour ce connecté à sa session Windows).
Une fois connecté, l'utilisateur aura accès à un menu composé des onglets suivants :
- Accueil.
- Reçus.
- Envoyés.
- Déconnexion.

**Actions possibles** :
- Déposer un fichier : Possibilité d'envoyer des fichiers à n'importe qui, interne ou externe à l'établissement.
- Demander un dépôt : Envoi d'une demande de dépôt de fichier, permettant à une personne externe d'envoyer des fichiers. *(La requête créée sera valide pour 7 jours)*.
- Récupérer un fichier déposé : Récupération de fichiers déposés par une personne externe en saisissant le "Claim ID" ainsi que le "Passcode" (informations fournies par la personne externe).

### 1.2 Utilisateur non GENES

**Connexion** : Pour un utilisateur GENES, vous pouvez vous connecter avec votre nom d'utilisateur et votre mot de passe pour envoyer des fichiers à n'importe qui, qu'ils soient internes ou externes à l'établissement.

**Actions possibles** :
- Déposer : Vous pouvez déposer un fichier pour un utilisateur GENES. Une vérification de l'adresse e-mail est nécessaire, ou vous pouvez utiliser un code de demande.

## 2. Comment GENES est-il sécurisé ?
- Tous les fichiers sont transférés de manière sécurisée et chiffrée à travers le réseau.
- Si vous envoyez des données personnelles ou confidentielles, sélectionnez l'option "Encrypt every file". Vous devrez utiliser le passphrase pour décrypter le fichier, le passphrase n'est pas stocké et ne peut pas être restauré. Personne d'autre que vous n'y a accès.
- Tous les fichiers téléchargés et stockés temporairement sur GENES sont conservés sur du matériel appartenant à GENES et exploité par l'établissement.
- Toutes les données sont soumises aux réglementations et lois sur la protection des données de l'établissement public et du pays d'hébergement.
- Ce service n'est en aucun cas un service "cloud". Tout est stocké (même temporairement) sur un équipement appartenant directement à GENES et géré par son propre service informatique.
- Tous les accès aux données sont strictement contrôlés par GENES. Tous les accès aux données sur GENES sont enregistrés et peuvent être facilement vérifiés en cas de doute sur un accès tiers.
- Les données téléchargées ne sont conservées que pendant un maximum de 14 jours, après quoi elles sont automatiquement supprimées. Il n'y a pas de corbeille ou de possibilité de récupération. Aucune sauvegarde des données téléchargées n'est effectuée (il s'agit uniquement d'un point de dépôt temporaire). Par conséquent, aucune donnée téléchargée ne sortira de l'établissement vers d'autres équipements ou supports tels que des bandes de sauvegarde. Après qu'un fichier téléchargé ait été supprimé, il n'y a aucun moyen de le récupérer.
- La récupération d'un dépôt par un destinataire ne peut être effectuée qu'avec le 'Claim ID' et le 'Passcode' du dépôt. Lorsque vous déposez des fichiers, vous pouvez choisir de ne pas envoyer automatiquement l'une ou l'autre de ces informations, ou les deux, au destinataire. Vous devrez alors envoyer vous-même le 'Claim ID' et le 'Passcode' par un autre moyen.