
# Procédure première connexion au serveurs de calcul Labostat & Labostat2

Vous venez d'obtenir l'accès aux serveurs de calcul Labostat & Labostat2, accessible depuis l'interface web: http://labostat.ensae.fr:8000/

**Cependant** avant de pouvoir y accéder vous devez effectuer quelques manipulations afin de créer vos dossiers utilisateur sur ces serveurs. 

Pour ces manipulations il faut que vous soyez connecté sur le réseau interne du GENES ou connecté en Bureau à distance si vous êtes à l'extérieur (https://rdsgw.ensae.fr/RDWeb/Pages/fr-FR/Default.aspx).

Pour les utilisateurs MacOS voir la procédure [téléchargeable ici.](https://code.groupe-genes.fr/DSIT/documentation-dsit/raw/branch/main/docs/Services/Applications%20scientifiques/Labostat/img/remote%20desktop%20macos.one)

Pour les membres du CREST, le moyen d'accès à votre bureau à distance peu être différent (la page rdsgw.ensae.fr sera vide), normalement celle-ci vous a été communiqué lors de votre arrivée.

Sinon, suivre la procédure suivante (pour les membres du CREST uniquement): 
    - Appuyer sur la touche 'Windows'
    - Chercher l'application "Connexion bureau à distance" et appuyer sur entrer
    - Puis ajouter les informations dans 'Ordinateur': "RDS.ENSAE.FR" puis dans 'Nom d'utilisateur' "ensae\" suivie de votre login de connexion ENSAE (première lettre de votre nom suivi de votre prénom) exemple:
    ![Screenshot](img/image-labostat11.png)
    - Appuyer sur connexion et entrer votre mot de passe de session ENSAE

Si vous n'arrivez pas à vous connecter en bureau à distance et que vous ne pouvez pas vous déplacer sur le site de Palaiseau pour vos connecter sur le réseau interne afin d'effecter cette procédure, nous contacter par mail à support@groupe-genes.fr.

Cette procédure est à faire uniquement une seul fois au seins du réseau interne du GENES, vous pourrez ensuite accéder à l'interface web Labostat tout en étant à l'extérieur.


## Création d'un dossier utilisateur sur les serveurs

Pour créer vos répertoires utilisateur il faut que vous vous connectez sur Labostat & Labostat2 en SSH. La procédure suivante est faite via CMD sur Windows, mais vous pouvez le faire via n'importe quel logiciel type ssh (putty etc...), 

Pour cela, lancer une console CMD: 
    - Appuyer sur la touche Windows de votre clavier
    - Dans la barre de recherche écrivez "CMD" et appuyer sur entrer

![Screenshot](img/image-labostat1.png)

Une fenêtre d'invite de commande va s'ouvrir, vous aller devoir vous connecter au deux serveurs de calcul via ssh en utilisant vos identifiants ENSAE.

Nous allons commencer par le labostat2 dont l'adresse ip est 172.16.200.17, pour cela écrivez la commande "%votre_nom_d'utilisateur_ensae%@172.16.200.17", appuyer sur la touche entrer, puis écrivez votre mot de passe ENSAE.
Exemple:
    ssh aguyot@172.16.200.17
    
![Screenshot](img/image-labostat2.png)


Si la connexion s'est bien effectuée, vous devriez avoir comme l'image suivante et avoir en texte vert sur la console "votrelogin@labostat2":

![Screenshot](img/image-labostat3.png)

Vous devez refaire la manipulation suivante mais sur le serveur labostat dont l'adresse ip est 172.16.200.72 (attention, la connexion en ssh peu parfois s'annuler pour ce serveur, recommencer jusqu'à réussir à vous connecter au minimum une fois):
Exemple:
    ssh aguyot@172.16.200.72


![Screenshot](img/image-labostat10.png)

## Connexion à l'interface jupyter

Maintenant vos répertoires personnel créés, vous pouvez désormais utiliser l'interface web jupyter du serveur de calcul via le lien suivant: http://labostat.ensae.fr:8000/. Pour vous connecter, utiliser de nouveau vos identifiants ENSAE (les mêmes que vous avez utilisés précédemment), il peu y avoir de temps en temps une erreur de connexion, essayer plusieurs fois de vous reconnecter:
![Screenshot](img/image-labostat5.png)


Une fois connecter vous avez accès au cluster:
![Screenshot](img/image-labostat7.png)

Vous pouvez désormais faire vos travaux, exemple de création d'une matrice aléatoire de paramètre (n,p) avec le package torch:
![Screenshot](img/image-labostat6.png)

L'installation des packages se fait en local (c'est à dire sur le notebook) en utilisant la formule "pip install %nom_du_package%",  voir la capture suivante pour une exponentielle avec le package scipy en utilisant "pip install scipy":
![Screenshot](img/image-labostat8.png)

Il est important de se déconnecter une fois que vous ne travaillez plus sur le cluster, cliquer sur l'onglet "File" en haut à gauche et cliquer sur "Log Out":
![Screenshot](img/image-labostat9.png)

Pour réaccéder au cluster, il suffit simplement de vous connecter via l'adresse: http://labostat.ensae.fr:8000/ 